summaryrefslogtreecommitdiffstats
path: root/.travis-deps.sh
diff options
context:
space:
mode:
authorbunnei <bunneidev@gmail.com>2014-06-24 21:54:51 +0200
committerbunnei <bunneidev@gmail.com>2014-06-24 21:54:51 +0200
commit10f11b958eef9b1655301555f0a89ec21fa12211 (patch)
treee7f5888f00e797e3e6f312cadde2396a283411e4 /.travis-deps.sh
parentMerge pull request #24 from bunnei/remove-autogenerated-files (diff)
parentTravis: Added OSX, use default compilers, moved cmds into own scripts (diff)
downloadyuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar.gz
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar.bz2
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar.lz
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar.xz
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.tar.zst
yuzu-10f11b958eef9b1655301555f0a89ec21fa12211.zip
Diffstat (limited to '.travis-deps.sh')
-rw-r--r--.travis-deps.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.travis-deps.sh b/.travis-deps.sh
new file mode 100644
index 000000000..326ba2d09
--- /dev/null
+++ b/.travis-deps.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+#if OS is linux or is not set
+if [ "$TRAVIS_OS_NAME" = linux -o -z "$TRAVIS_OS_NAME" ]; then
+ sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
+ sudo apt-get -qq update
+ sudo apt-get -qq install g++-4.8 xorg-dev libglu1-mesa-dev libglew-dev libxcursor-dev
+ sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 90
+ git clone https://github.com/glfw/glfw.git
+ mkdir glfw/build && cd glfw/build
+ cmake .. && make && sudo make install
+ cd -
+elif [ "$TRAVIS_OS_NAME" = osx ]; then
+ brew tap homebrew/versions
+ brew install glew qt glfw3 pkgconfig
+fi